-- my custom locale file - more streamlined than AceLocale and no lib dependency

-- To help with missing translations please go here:
-- http://www.wowace.com/addons/paste/localization/

local addonName, vars = ...
local Ld, La = {}, {}
local locale = GAME_LOCALE or GetLocale()

vars.L = setmetatable({},{
    __index = function(t, s) return La[s] or Ld[s] or rawget(t,s) or s end
})

Ld["Bind a key to toggle the Paste window"] = "Bind a key to toggle the Paste window"
Ld["characters"] = "characters"
Ld["Clear"] = "Clear"
Ld["Command-V"] = "Command-V"
Ld["Config"] = "Config"
Ld["Control-V"] = "Control-V"
Ld["Debug"] = "Debug"
Ld["Display minimap icon"] = "Display minimap icon"
Ld["for options"] = "for options"
Ld["General"] = "General"
Ld["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = "It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"
Ld["Left Click"] = "Left Click"
Ld["lines"] = "lines"
Ld["Minimap Icon"] = "Minimap Icon"
Ld["Open the configuration GUI"] = "Open the configuration GUI"
Ld["Paste"] = "Paste"
Ld["Paste and Close"] = "Paste and Close"
Ld["Paste to:"] = "Paste to:"
Ld["Profiles"] = "Profiles"
Ld["Right Click"] = "Right Click"
Ld["Show"] = "Show"
Ld["Show/Hide the Paste window"] = "Show/Hide the Paste window"
Ld["Toggle debugging output"] = "Toggle debugging output"
Ld["to toggle window"] = "to toggle window"
Ld["Use %s to paste the clipboard into this box"] = "Use %s to paste the clipboard into this box"
Ld["You must select a whisper target!"] = "You must select a whisper target!"


if locale == "frFR" then do end
-- La["Bind a key to toggle the Paste window"] = ""
-- La["characters"] = ""
-- La["Clear"] = ""
-- La["Command-V"] = ""
-- La["Config"] = ""
-- La["Control-V"] = ""
-- La["Debug"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = ""
-- La["Left Click"] = ""
-- La["lines"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Paste"] = ""
-- La["Paste and Close"] = ""
-- La["Paste to:"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show"] = ""
-- La["Show/Hide the Paste window"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle window"] = ""
-- La["Use %s to paste the clipboard into this box"] = ""
-- La["You must select a whisper target!"] = ""

elseif locale == "deDE" then do end
La["Bind a key to toggle the Paste window"] = "Eine Taste festlegen zum Umschalten des Paste-Fensters"
La["characters"] = "Charaktere"
La["Clear"] = "Löschen"
La["Command-V"] = "cmd-v"
La["Config"] = "Konfiguration"
La["Control-V"] = "Strg-V"
La["Debug"] = "Debug"
La["Display minimap icon"] = "Minimap-Icon anzeigen"
La["for options"] = "für Optionen"
La["General"] = "Allgemein"
-- La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = ""
La["Left Click"] = "Linksklick"
La["lines"] = "Zeilen"
La["Minimap Icon"] = "Minimap-Icon"
La["Open the configuration GUI"] = "Öffne das Konfigurationsfenster"
La["Paste"] = "Einfügen"
La["Paste and Close"] = "Einfügen und schließen"
La["Paste to:"] = "Einfügen nach:"
La["Profiles"] = "Profile:"
La["Right Click"] = "Rechtsklick"
-- La["Show"] = ""
La["Show/Hide the Paste window"] = "Anzeigen/Verbergen des Paste-Fensters"
La["Toggle debugging output"] = "Debugging-Ausgabe umschalten"
La["to toggle window"] = "um Fenster umzuschalten"
La["Use %s to paste the clipboard into this box"] = "Benutze %s um den Inhalt der Zwischenablage in diesen Kasten einzufügen"
La["You must select a whisper target!"] = "Du must ein Flüster-Ziel auswählen!"

elseif locale == "koKR" then do end
-- La["Bind a key to toggle the Paste window"] = ""
-- La["characters"] = ""
-- La["Clear"] = ""
-- La["Command-V"] = ""
-- La["Config"] = ""
-- La["Control-V"] = ""
-- La["Debug"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = ""
-- La["Left Click"] = ""
-- La["lines"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Paste"] = ""
-- La["Paste and Close"] = ""
-- La["Paste to:"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show"] = ""
-- La["Show/Hide the Paste window"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle window"] = ""
-- La["Use %s to paste the clipboard into this box"] = ""
-- La["You must select a whisper target!"] = ""

elseif locale == "esMX" then do end
-- La["Bind a key to toggle the Paste window"] = ""
-- La["characters"] = ""
-- La["Clear"] = ""
-- La["Command-V"] = ""
-- La["Config"] = ""
-- La["Control-V"] = ""
-- La["Debug"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = ""
-- La["Left Click"] = ""
-- La["lines"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Paste"] = ""
-- La["Paste and Close"] = ""
-- La["Paste to:"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show"] = ""
-- La["Show/Hide the Paste window"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle window"] = ""
-- La["Use %s to paste the clipboard into this box"] = ""
-- La["You must select a whisper target!"] = ""

elseif locale == "ruRU" then do end
-- La["Bind a key to toggle the Paste window"] = ""
-- La["characters"] = ""
-- La["Clear"] = ""
-- La["Command-V"] = ""
-- La["Config"] = ""
-- La["Control-V"] = ""
-- La["Debug"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = ""
-- La["Left Click"] = ""
-- La["lines"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Paste"] = ""
-- La["Paste and Close"] = ""
-- La["Paste to:"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show"] = ""
-- La["Show/Hide the Paste window"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle window"] = ""
-- La["Use %s to paste the clipboard into this box"] = ""
-- La["You must select a whisper target!"] = ""

elseif locale == "zhCN" then do end
-- La["Bind a key to toggle the Paste window"] = ""
-- La["characters"] = ""
-- La["Clear"] = ""
-- La["Command-V"] = ""
-- La["Config"] = ""
-- La["Control-V"] = ""
-- La["Debug"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = ""
-- La["Left Click"] = ""
-- La["lines"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Paste"] = ""
-- La["Paste and Close"] = ""
-- La["Paste to:"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show"] = ""
-- La["Show/Hide the Paste window"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle window"] = ""
-- La["Use %s to paste the clipboard into this box"] = ""
-- La["You must select a whisper target!"] = ""

elseif locale == "esES" then do end
-- La["Bind a key to toggle the Paste window"] = ""
-- La["characters"] = ""
-- La["Clear"] = ""
-- La["Command-V"] = ""
-- La["Config"] = ""
-- La["Control-V"] = ""
-- La["Debug"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = ""
-- La["Left Click"] = ""
-- La["lines"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Paste"] = ""
-- La["Paste and Close"] = ""
-- La["Paste to:"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show"] = ""
-- La["Show/Hide the Paste window"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle window"] = ""
-- La["Use %s to paste the clipboard into this box"] = ""
-- La["You must select a whisper target!"] = ""

elseif locale == "zhTW" then do end
-- La["Bind a key to toggle the Paste window"] = ""
-- La["characters"] = ""
-- La["Clear"] = ""
-- La["Command-V"] = ""
-- La["Config"] = ""
-- La["Control-V"] = ""
-- La["Debug"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = ""
-- La["Left Click"] = ""
-- La["lines"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Paste"] = ""
-- La["Paste and Close"] = ""
-- La["Paste to:"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show"] = ""
-- La["Show/Hide the Paste window"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle window"] = ""
-- La["Use %s to paste the clipboard into this box"] = ""
-- La["You must select a whisper target!"] = ""

elseif locale == "ptBR" then do end
-- La["Bind a key to toggle the Paste window"] = ""
-- La["characters"] = ""
-- La["Clear"] = ""
-- La["Command-V"] = ""
-- La["Config"] = ""
-- La["Control-V"] = ""
-- La["Debug"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = ""
-- La["Left Click"] = ""
-- La["lines"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Paste"] = ""
-- La["Paste and Close"] = ""
-- La["Paste to:"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show"] = ""
-- La["Show/Hide the Paste window"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle window"] = ""
-- La["Use %s to paste the clipboard into this box"] = ""
-- La["You must select a whisper target!"] = ""

elseif locale == "itIT" then do end
-- La["Bind a key to toggle the Paste window"] = ""
-- La["characters"] = ""
-- La["Clear"] = ""
-- La["Command-V"] = ""
-- La["Config"] = ""
-- La["Control-V"] = ""
-- La["Debug"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = ""
-- La["Left Click"] = ""
-- La["lines"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Paste"] = ""
-- La["Paste and Close"] = ""
-- La["Paste to:"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show"] = ""
-- La["Show/Hide the Paste window"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle window"] = ""
-- La["Use %s to paste the clipboard into this box"] = ""
-- La["You must select a whisper target!"] = ""

end
